curl --request PATCH \
--url https://api-alpha.fourvenues.com/integrations/discount-codes/bookings/{discountCodeId} \
--header 'Content-Type: application/json' \
--header 'integration_id: <api-key>' \
--header 'secret: <api-key>' \
--header 'x-api-key: <api-key>' \
--data '
{
"description": "Summer promotion",
"active": true,
"fixed_amount": 0,
"percentage": 20,
"min_amount": 0,
"max_uses": 0,
"event_id": "el4gr63f00xkq01i1d8jh5ohuzaZhvoE",
"expires_at": "2026-12-31T23:59:59.000Z"
}
'import requests
url = "https://api-alpha.fourvenues.com/integrations/discount-codes/bookings/{discountCodeId}"
payload = {
"description": "Summer promotion",
"active": True,
"fixed_amount": 0,
"percentage": 20,
"min_amount": 0,
"max_uses": 0,
"event_id": "el4gr63f00xkq01i1d8jh5ohuzaZhvoE",
"expires_at": "2026-12-31T23:59:59.000Z"
}
headers = {
"integration_id": "<api-key>",
"secret": "<api-key>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
integration_id: '<api-key>',
secret: '<api-key>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
description: 'Summer promotion',
active: true,
fixed_amount: 0,
percentage: 20,
min_amount: 0,
max_uses: 0,
event_id: 'el4gr63f00xkq01i1d8jh5ohuzaZhvoE',
expires_at: '2026-12-31T23:59:59.000Z'
})
};
fetch('https://api-alpha.fourvenues.com/integrations/discount-codes/bookings/{discountCodeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"_id": "dc4gr63f00xkq01i1d8jh5ohuzaZhvoE",
"organization_id": "or4gr63f00xkq01i1d8jh5ohuzaZhvoE",
"event_id": "el4gr63f00xkq01i1d8jh5ohuzaZhvoE",
"code": "SUMMER20",
"description": "Summer promotion",
"type": "tickets",
"active": true,
"fixed_amount": 0,
"percentage": 20,
"min_amount": 0,
"min_quantity": 0,
"max_quantity": 0,
"max_uses": 0,
"max_products": 0,
"expires_at": "2026-12-31T23:59:59.000Z"
}
}Patch discount codes bookings
Update an existing booking (reservas) discount code by id. The code type and the code value are fixed at creation: the id must belong to a booking code. Booking codes have no rate association or quantity/sales limits.
Authorizations
Identifier of the integration (Auth v1)
Secret of the organization (Auth v1)
API key (Auth v2)
Path Parameters
Discount code identifier.
Body
Fields to update. At least one field is required.
Discount code description.
"Summer promotion"
Whether the discount code is active.
true
Fixed discount amount.
0
Percentage discount between 0 and 100. Cannot be greater than 0 when fixed_amount is greater than 0.
0 <= x <= 10020
Minimum booking price required to apply the discount.
0
Maximum number of times (transactions) the discount code can be used.
0
Event identifier of the discount code.
"el4gr63f00xkq01i1d8jh5ohuzaZhvoE"
Expiration date in ISO 8601 format. Must be a valid future date.
"2026-12-31T23:59:59.000Z"